package org.springblade.modules.fitting.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotEmpty;
import lombok.Data;

@Data
public class SiteToExamineVo {
	@NotEmpty(message = "主键id不能为空")
	@Schema(description = "主键id")
	private String id;
	/*@NotEmpty(message = "物料编码不能为空")
	@Schema(description = "物料编码")*/
	private String fittingCode;
	/*@NotEmpty(message = "物料id不能为空")
	@Schema(description = "物料id")*/
	private String fittingId;

	@Schema(description = "是否提交平台审核 1.是 2.否")
	private String isPlatform;

	@Schema(description = "审核备注（运维商审核）")
	private String factoryMarks;
	@NotEmpty(message = "审核类型不能为空")
	@Schema(description = "审核类型，1.通过 2.驳回")
	private String examineType;

}
