package org.springblade.modules.nh.excel;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class StationStaticsExcel {

	@ColumnWidth(20)
	@ExcelProperty("电站编码")
	private String stationCode;

	@ColumnWidth(20)
	@ExcelProperty("进件序号")
	private String applyNo;

	@ColumnWidth(20)
	@ExcelProperty("业主姓名")
	private String ownerName;

	@ColumnWidth(20)
	@ExcelProperty("省份")
	private String province;

	@ColumnWidth(20)
	@ExcelProperty("地级市")
	private String city;

	@ColumnWidth(20)
	@ExcelProperty("安装容量（kW)")
	private Double actualCapacityStr;

	@ColumnWidth(20)
	@ExcelProperty("安装方式")
	private String installType;

	@ColumnWidth(20)
	@ExcelProperty("运维商")
	private String omProviderName;

	@ColumnWidth(20)
	@ExcelProperty("首日发电时间")
	private String fisGenerateTimeStr;

	@ColumnWidth(20)
	@ExcelProperty("1月发电量（kwh）")
	private Double energy_1;

	@ColumnWidth(20)
	@ExcelProperty("1月保发发电量（kwh）")
	private Double guardEnergy_1;

	@ColumnWidth(20)
	@ExcelProperty("1月保发电量完成率")
	private String guardRate_1;

	@ColumnWidth(20)
	@ExcelProperty("2月发电量（kwh）")
	private Double energy_2;

	@ColumnWidth(20)
	@ExcelProperty("2月保发发电量（kwh）")
	private Double guardEnergy_2;

	@ColumnWidth(20)
	@ExcelProperty("2月保发电量完成率")
	private String guardRate_2;

	@ColumnWidth(20)
	@ExcelProperty("3月发电量（kwh）")
	private Double energy_3;

	@ColumnWidth(20)
	@ExcelProperty("3月保发发电量（kwh）")
	private Double guardEnergy_3;

	@ColumnWidth(20)
	@ExcelProperty("3月保发电量完成率")
	private String guardRate_3;

	@ColumnWidth(20)
	@ExcelProperty("4月发电量（kwh）")
	private Double energy_4;

	@ColumnWidth(20)
	@ExcelProperty("4月保发发电量（kwh）")
	private Double guardEnergy_4;

	@ColumnWidth(20)
	@ExcelProperty("4月保发电量完成率")
	private String guardRate_4;

	@ColumnWidth(20)
	@ExcelProperty("5月发电量（kwh）")
	private Double energy_5;

	@ColumnWidth(20)
	@ExcelProperty("5月保发发电量（kwh）")
	private Double guardEnergy_5;

	@ColumnWidth(20)
	@ExcelProperty("5月保发电量完成率")
	private String guardRate_5;

	@ColumnWidth(20)
	@ExcelProperty("6月发电量（kwh）")
	private Double energy_6;

	@ColumnWidth(20)
	@ExcelProperty("6月保发发电量（kwh）")
	private Double guardEnergy_6;

	@ColumnWidth(20)
	@ExcelProperty("6月保发电量完成率")
	private String guardRate_6;

	@ColumnWidth(20)
	@ExcelProperty("7月发电量（kwh）")
	private Double energy_7;

	@ColumnWidth(20)
	@ExcelProperty("7月保发发电量（kwh）")
	private Double guardEnergy_7;

	@ColumnWidth(20)
	@ExcelProperty("7月保发电量完成率")
	private String guardRate_7;

	@ColumnWidth(20)
	@ExcelProperty("8月发电量（kwh）")
	private Double energy_8;

	@ColumnWidth(20)
	@ExcelProperty("8月保发发电量（kwh）")
	private Double guardEnergy_8;

	@ColumnWidth(20)
	@ExcelProperty("8月保发电量完成率")
	private String guardRate_8;

	@ColumnWidth(20)
	@ExcelProperty("9月发电量（kwh）")
	private Double energy_9;

	@ColumnWidth(20)
	@ExcelProperty("9月保发发电量（kwh）")
	private Double guardEnergy_9;

	@ColumnWidth(20)
	@ExcelProperty("9月保发电量完成率")
	private String guardRate_9;

	@ColumnWidth(20)
	@ExcelProperty("10月发电量（kwh）")
	private Double energy_10;

	@ColumnWidth(20)
	@ExcelProperty("10月保发发电量（kwh）")
	private Double guardEnergy_10;

	@ColumnWidth(20)
	@ExcelProperty("10月保发电量完成率")
	private String guardRate_10;

	@ColumnWidth(20)
	@ExcelProperty("11月发电量（kwh）")
	private Double energy_11;

	@ColumnWidth(20)
	@ExcelProperty("11月保发发电量（kwh）")
	private Double guardEnergy_11;

	@ColumnWidth(20)
	@ExcelProperty("11月保发电量完成率")
	private String guardRate_11;

	@ColumnWidth(20)
	@ExcelProperty("12月发电量（kwh）")
	private Double energy_12;

	@ColumnWidth(20)
	@ExcelProperty("12月保发发电量（kwh）")
	private Double guardEnergy_12;

	@ColumnWidth(20)
	@ExcelProperty("12月保发电量完成率")
	private String guardRate_12;

	@ColumnWidth(20)
	@ExcelProperty("当日发电量（kwh）")
	private Double etdStr;

	@ColumnWidth(20)
	@ExcelProperty("昨日发电量（kwh）")
	private Double yesterdayEnergy;

	@ColumnWidth(20)
	@ExcelProperty("当月发电量（kwh）")
	private Double etmStr;

	@ColumnWidth(20)
	@ExcelProperty("当月保发电量（kwh）")
	private Double currentGuardEnergyStr;

	@ColumnWidth(20)
	@ExcelProperty("当月保发电量完成率")
	private String currentGuardRateStr;

	@ColumnWidth(20)
	@ExcelProperty("资方")
	private String capitalName;
}
