package org.springblade.modules.nh.factory.aiswei.dto.getinverteroverviewpro;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * "isno": "SP00200022252664",
 * "e_today": "117.60",
 * "e_month": "127.600",
 * "e_total": "407.90",
 * "co2": 326.32,
 * "yield": 163.16,
 * "recvdate": "2022-06-21 16:33:13.0"
 */

@Data
public class GetInverterOverviewProR {
    /**
     * 逆变器序列号
     */
    private String isno;
    /**
     * 日发电量,kwh
     */
    @JsonProperty("e_today")
    private String eToday;
    /**
     * 月发电量,kwh
     */
    @JsonProperty("e_month")
    private String eMonth;
    /**
     * 总发电量,kwh
     */
    @JsonProperty("e_total")
    private String eTotal;
    /**
     * 二氧化碳减排
     */
    private Double co2;
    /**
     * 收益
     */
    private Double yield;
    /**
     * 数据时间
     */
    private String recvdate;
}
