package org.springblade.modules.nh.factory.aiswei.scheduler;

import org.springblade.modules.nh.factory.aiswei.AisweiApi;
import org.springblade.modules.nh.factory.common.EachRunner;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

/**
 * for each station and station related device
 */
@Service
@Slf4j
public class AisweiInverterDetailEachRunner extends EachRunner<String> {

    @Autowired
    AisweiApi aisweiApi;
    @Autowired
    AisweiInverterDetailPageAction aisweiInverterDetailPageAction;

    @Override
    public void handle(String stationId, Map<String, Object> ctx) throws IOException {
        Map<String, Object> ctx2 = new HashMap<>();
        ctx2.put("stationId", stationId);
        aisweiInverterDetailPageAction.start("获取逆变器详情", 500, ctx2,1);
    }

}
