package org.springblade.modules.nh.factory.goodwe.dto.getplantsstaticdatas;

import org.springblade.modules.nh.factory.goodwe.dto.GoodweApiReq;
import lombok.Data;

import java.util.List;

@Data
public class GetPlantsStaticDatasReq extends GoodweApiReq {

    /**
     * 电站 id 集合
     */
    private List<String> ids;
    /**
     * 时间戳
     */
    private Long date;
    /**
     * 1:根据 date 查询该月日发电量
     * 2.根据 date 查询该年月发电量
     * 3.根据 date 查询该年总发电量
     */
    private Integer period;

}
