package org.springblade.modules.order.constant;

/**
 * @author hongzq
 */
public class OrderConstants {


    /**
     *warranty_type 保修类型：1.保内 2.保外
     */
    public static final String WARRANTY_TYPE_ONE="1";
    public static final String WARRANTY_TYPE_TWO="2";



    /**
     * fitting_flag 配件标记，0无备件 1待发备件 2已发备件
     */
    public static final String FITTING_FLAG_NO ="0";
    public static final String FITTING_FLAG_WAIT = "1";
    public static final String FITTING_FLAG_WAY = "2";

    /**
     * status 单平台操作状态：1.待派工 2.服务中 3.待回访 4.待结算 5.已完成 6.无效工单 7.取消工单，默认1
     */
    public static final String ORDER_STATUS_DIS="1";
    public static final String ORDER_STATUS_SERVICE="2";
    public static final String ORDER_STATUS_CALL="3";
    public static final String ORDER_STATUS_SETTLE="4";
    public static final String ORDER_STATUS_FINISH="5";
    public static final String ORDER_STATUS_INVALID="6";
    public static final String ORDER_STATUS_CANCEL="7";


    /**
     * site_status 工单服务商操作状态:0尚未指派给服务商 1待服务商接单 2服务商已拒单 3待服务商派工 4待工程师接单 5待上门 6服务中 7已完工 8派工取消 9无效工单
     */
    public static final String SITE_STATUS_ZERO="0";
    public static final String SITE_STATUS_GET="1";
    public static final String SITE_STATUS_REFUSE="2";
    public static final String SITE_STATUS_DIS="3";
    public static final String SITE_STATUS_RECEIVE="4";
    public static final String SITE_STATUS_DOOR="5";
    public static final String SITE_STATUS_SERVICE="6";
    public static final String SITE_STATUS_FINISH="7";
    public static final String SITE_STATUS_INVALID="9";

    /**
     *dispatch 派工状态：0.待接单 1.已接单 2.已拒单 3.维修已完工 4.已转派 5.派工取消
     */
    public static final String DISPATCH_STATUS_DJD="0";
    public static final String DISPATCH_STATUS_YJD="1";
    public static final String DISPATCH_STATUS_REFUSE="2";
    public static final String DISPATCH_STATUS_FINISH="3";
    public static final String DISPATCH_STATUS_CHANGE="4";
	public static final String DISPATCH_STATUS_CANCEL="5";

    /**
     * promise_flag 标记本次派工是否预约：0未预约 1已预约。默认0
     */
    public static final String FLAG_ZERO="0";
    public static final String FLAG_ONE="1";

    /**
     * completion_result 完工结果：0.正常完工 1.服务商确认无效
     */
    public static final String RESULT_ZERO="0";

    /**
     *result  回访结果：列表写死 1.已回访 2.仍需上门 , 3 无人接听 ，4回访不通过 5多次回访
     */
    public static final String RESULT_OK="1";
    public static final String RESULT_BAD="2";
    public static final String RESULT_NO_MAN="3";
    public static final String RESULT_NO_REFUSE="4";
    public static final String RESULT_NO_MANY="5";

    /**
     * feedback_type 反馈类型：0 过程反馈 1服务完成反馈 2服务无法完成反馈
     */
    public static final String FEEDBACK_PROCESS="0";
    public static final String FEEDBACK_FINISH="1";

	/**
	 * sf_operation_order_site_dispatch 派工状态：0.待接单 1.已接单 2.已拒单 3.维修已完工 4.已转派 5.派工取消
	 * status
	 */
	public static final String SITE_DISPATCH_STATUS_WAIT="0";
	public static final String SITE_DISPATCH_STATUS_YJD="1";
	public static final String SITE_DISPATCH_STATUS_REFUSE="2";
	public static final String SITE_DISPATCH_STATUS_FINISH="3";
	public static final String SITE_DISPATCH_STATUS_CHANGE="4";
	public static final String SITE_DISPATCH_STATUS_CANCEL="5";

	/**
	 * 审核结果 审核结果  1已完成、2仍需上门
	*/
	public static final String CASLLBACK_RESULT_ONE ="1";
	public static final String CASLLBACK_RESULT_TWO ="2";

	/**
	 * 状态:0正常 1删除
	 */
	public static final String STATUS_USE ="0";
	public static final String STATUS_DELETE ="1";
}
