package org.springblade.modules.flowable.processForm.utils;


import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


public class FormUtils {

	public  static  final String STEPONE="提交节点";

    private static Logger logger = LoggerFactory.getLogger(FormUtils.class);

    public static final String AGENT_ADMISSION_APPLICATION= "01";        //运维商准入申请

    public static final String SUPPLY_ORDER_APPLICATION = "08";   //订单申请

    /**
     * 所有的变更审核 要走待办事项审批流程，默认审批人为原审核人员。
     * 以设计审核为例，查询电站最近一次的设计审核/设计变更审核人，然后本次设计变更审核人设置为查询结果。
     *
     * 设计变更审核 查询的是设计审核/设计变更审核人；
     * 客户信息变更审核 查询的是档案审核/客户信息变更审核人；
     * 勘测信息变更审核 查询的是设计审核/勘测信息变更审核人；
     * 完工信息变更审核 查询的是安装验收/完工信息变更审核人；
     * 物料信息变更审核 查询的是安装验收/物料信息变更审核人。
     */
    public static final String ENTRY_CHANGE_KCBG="95";  //勘测变更
    public static final String ENTRY_CHANGE_WGBG="96";  //完工变更
    public static final String ENTRY_CHANGE_SJBG="97";  //设计变更
    public static final String ENTRY_CHANGE_KHXXBG="98";  //客户信息变更
    public static final String ENTRY_CHANGE_WLXXBG="99";  //物料变更
    public static final String ENTRY_CHANGE_BWXXBG="100";  //并网信息变更



	public static final String TYPE_ONE = "1";      //审批
	public static final String TYPE_TWO = "2";      //驳回
	public static final String TYPE_THREE = "3";    //抄送
	public static final String TYPE_FOUR = "4";     //转发


}
