package org.springblade.modules.nh.factory.aiswei.dto.getplantoverviewpro;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.Date;

@Data
public class GetPlantOverviewProR {

    @JsonProperty("E-Month")
    private UnitData emonth;
    /**
     * 二氧化碳减排
     */
    @JsonProperty("CO2Avoided")
    private UnitData co2Avoided;
    @JsonProperty("E-Today")
    private UnitData etoday;
    /**
     * 总收益
     */
    @JsonProperty("TotalYield")
    private UnitData totalYield;
    @JsonProperty("E-Total")
    private UnitData etotal;
    @JsonProperty("E-Year")
    private UnitData eyear;
    /**
     * 最后更新时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date ludt;
    /**
     * 功率
     */
    private UnitData power;
    /**
     * 电站状态
     * 0:下线;1:在线;2:警告;3:故障;4-部分离线
     */
    private String status;
    private String apikey;

}
