package org.springblade.modules.nh.factory.ginlong.dto.collectorlist;

import lombok.Data;

@Data
public class GetCollectorListR {

    /**
     * 采集器 id
     */
    private String id;
    /**
     * 电站名称
     */
    private String stationName;
    /**
     * 电站 Id
     */
    private String stationId;
    /**
     * 采集器 SN
     */
    private String sn;
    /**
     * 采集器名称
     */
    private String name;
    /**
     * 采集器型号,例:GPRS,WiFi,4G
     */
    private String model;
    /**
     * 逆变器状态:
     * 1 = 在线,2 = 离线,3 = 报警
     */
    private String state;
    /**
     * 更新时间
     */
    private Long dataTimestamp;

    private String rssiLevel;

}
