package org.springblade.modules.nh.factory.ginlong.dto.stationmonth;

import lombok.Data;
import org.springblade.modules.nh.factory.goodwe.dto.GetIndexReq;

@Data
public class GetStationMonthReq extends GetIndexReq {

    /**
     * 电站 id
     */
    private String id;
    /**
     * 电站货币单位,例:CNY
     */
    private String money;
    /**
     * 时间,格式 yyyy-MM
     */
    private String month;
    /**
     * 电站时区,例:8
     */
    private int timeZone;

}
