package org.springblade.modules.nh.factory.ginlong.dto.userstationlist;

import lombok.Data;

@Data
public class GetStationR {
    private String id;
    /**
     * 采集时间戳，单位毫秒
     */
    private Long dataTimestamp;
    private String dataTimestampStr;
    /**
     * 满发小时数
     */
    private Double fullHour;
    /**
     * 电站名称
     */
    private String stationName;
    /**
     * 业主 Id
     */
    private String userId;
    /**
     * 业主姓名
     */
    private String userName;
    /**
     * 手机号
     */
    private String userMobile;
    /**
     * 电站短 ID
     */
    private String sno;
    /**
     * 电站地址
     */
    private String addr;
    /**
     * 电站状态:1 = 在线,2 = 离线,3 = 报警
     */
    private int state;
    /**
     * 功率
     */
    private double power;
    /**
     * 功率单位，例如kw
     */
    private String powerStr;
    /**
     * 装机容量
     */
    private double capacity;
    /**
     * 装机容量不进位
     */
    private double capacity1;
    /**
     * 装机容量单位,单位为kwp
     */
    private String capacityStr;
    /**
     * 当日能量
     */
    private double dayEnergy;
    /**
     * 当日能量单位
     */
    private String dayEnergyStr;
    /**
     * 当月能量
     */
    private Double monthEnergy;
    /**
     * 当月能量单位
     */
    private String monthEnergyStr;
    /**
     * 当年能量
     */
    private Double yearEnergy;
    /**
     * 当年能量单位
     */
    private String yearEnergyStr;
    /**
     * 总能量
     */
    private double allEnergy;
    /**
     * 总能量单位
     */
    private String allEnergyStr;
    private String nmiCode;

	/**
	 * 首次上电时间
	 */
	private Long fisPowerTime;
	/**
	 * 首次发电时间
	 */
	private Long fisGenerateTime;

	private Integer vendorIndex;
}
