package org.springblade.modules.nh.factory.goodwe.dto.getInventersdatas;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class GetInventersDatasR {

    private String sn;
    private String name;
    @JsonProperty("in_pac")
    private Double inPac;
    /**
     * 发电功率(千瓦)
     */
    @JsonProperty("out_pac")
    private Double outPac;
    /**
     * 今日发电量(度)
     */
    @JsonProperty("eday")
    private Double eday;
    /**
     * 累计发电量(度)
     */
    @JsonProperty("etotal")
    private Double etotal;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 接入时间
     */
    @JsonProperty("turnon_time")
    private String turnonTime;
    /**
     * 设备与电站关系 id
     */
    @JsonProperty("releation_id")
    private String releationId;
    /**
     * 设备类型
     */
    private String type;
    /**
     * 容量 kw
     */
    private Double capacity;
    private GetInventersDatasRd d;

}
