package org.springblade.modules.nh.factory.goodwe.dto.getinverterdatabycolumn;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class GetInverterDataByColumnR {

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date date;
    /**
     * 根据请求类型的不同，column表示的含义不同
     * 0:eday:今日发电量;
     * 1:etotal:累计发电量
     * 2:tempperature:温度
     * 3:vac:交流电压
     */
    private Double column;

}
