package org.springblade.modules.nh.factory.goodwe.scheduler;

import org.springblade.modules.nh.factory.common.EachRunner;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

/**
 * for each station and station related device
 */
@Service
public class GoodweInverterEachRunner extends EachRunner<String> {

    @Autowired
    GoodweInverterDetailListPageAction goodweInverterDetailListPageAction;

    @Override
    public void handle(String stationId, Map<String, Object> ctx) throws IOException {
		ctx.put("stationId", stationId);
        goodweInverterDetailListPageAction.start("电站设备列表", 100, ctx, 2);
    }

}
