package org.springblade.modules.nh.factory.saj.resp;

import lombok.Data;

import java.util.Date;

@Data
public class SajPlantData {
	private String plantUid;//	string	电站uid
	private String deviceSn;//	string	电站下的逆变器sn
	private Integer type;//	Integer	电站类型，0并网，1储能，2交流耦合
	private String plantName;//	string	电站名称
	private Double powerNow;//	BigDecimal	当前功率
	private Integer deviceStatus;//	Integer	逆变器状态（1正常运行,2告警运行,3离线,4历史逆变器,5未监控）
	private Double batEnergyPercent;//	BigDecimal	电池剩余电量（SOC）
	private Double todayPvEnergy;//	BigDecimal	当日发电量
	private Double monthPvEnergy;//	BigDecimal	月发电量
	private Double yearPvEnergy;//	BigDecimal	年发电量
	private Double totalPvEnergy;//	BigDecimal	累计发电量
	private String currency;//	String	货币符号
	private Date updateDate;//	Date	上报数据更新时间
	private Double totalPlantTreeNum;//	BigDecimal	累计植树
	private Double totalReduceCo2;//	BigDecimal	累计减排二氧化碳
	private String co2UnitOfWeight;//	String	二氧化碳重量单位
}
