package org.springblade.modules.nh.factory.saj.resp;

import lombok.Data;

@Data
public class SajPlantDetail {
	private String plantUid;//	String	电站UID
	private String plantName;//	String	电站名称
	private Integer type;//	Integer	电站类型，0并网，1储能，3交流耦合
	private Double systemPower;//	BigDecimal	电站装机容量
	private Double gridPrice;//	BigDecimal	并网电价
	private String currencyName;//	String	货币单位简称
	private String currency;//	String	货币单位符号
	private String timeZone;//	String	时区ID
	private String countryCode;//	String	国家编码
	private String provinceCode;//	String	省份编码
	private String cityCode;//	String	城市编码
	private String countyCode;//	String	区/县编码
	private String country;//	String	国家名称
	private String province;//	String	省份名称
	private String city;//	String	城市名
	private String county;//	String	区/县名称
	private String street;//	String	街道/镇名称
	private String streetType;//	String	街道类型
	private String address;//	String	详细地址
	private String fullAddress;//	String	完整地址
	private Double latitude;//	BigDecimal	纬度
	private Double longitude;//	BigDecimal	经度
	private String zipCode;//	String	邮政编码
	private String meterId;//	String	电表序列号NMI
	private Integer moduleNum;//	Integer	组件数量
	private String gridNetType;//	String	并网类型（1：全额上网，2：自发自用余额上网，3：离网模式）
	private String payMode;//	String	出资方式（1：业主全款，2：业主贷款，3：自投电站，4：与业主合资）
	private String pvPanelAzimuth;//	String	光伏板方位角，单位°
	private String pvPanelAngle;//	String	光伏板倾角，单位°
	private String phone;//	String	业主电话
	private String email;//	String	业主邮箱
	private String timeZoneName;//	String	时区名称
	private String projectPic;//	String	电站图片
	private String plantNo;//	String	电站编码
	private Integer useType;//	Integer	使用类型（0 家庭户用（默认），1 工商业屋顶，2 地面电站，3 扶贫电站）
	private Integer isInstallMeter;//	Integer	是否安装负载监控（1是，0否）
	private Integer secModuleIfNewVersion;//	Integer	是否新版负载监控（1是，0否）
	private Integer isShared;//	Integer	是否为分享电站（1是，0否），注意分享电站不能新增和删除设备，只能修改电站信息和设备信息
	private String ownerName;//	String	电站所有人
	private String ownerPhone;//	String	电站所有人电话
	private String ownerEmail;//	String	电站所有人邮箱
	private String createDate;//	String	电站创建时间
}
