package org.springblade.modules.nh.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import java.io.Serial;
import java.util.Date;

@Data
public class PowerStationPaymentTimeDTO {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 所属电站ID
	 */
	@Schema(description = "内部电站ID")
	private String innerStationId;

	@Schema(description = "回款时间")
	private String paymentTime;
}
