package org.springblade.modules.nh.pojo.vo;

import lombok.Data;

import java.io.Serial;

/**
 * 主页数据视图
 *
 * @author AlexWang
 * @since 2024-05-31
 */
@Data
public class HomeOverviewVO {
	@Serial
	private static final long serialVersionUID = 1L;

	private int onlineCnt; //在线电站数量
	private int offlineCnt; //在线电站数量
	private int faultCnt; //故障电站数量

	private double etd; //当日发电总度数
	private double eto; //累计发电总度数

	private double realPower; //实时功率
	private double totalPower; //装机总功率

	private double treeCount; //等效植树
	private double totalTreeCount; //全部等效植树

	private int alarmDealed = 0;
	private int alarmDealing = 0;
	private int alarmUnDeal = 0;

	private long clzCount=0;

	private long ywcCount=0;

}
