package org.springblade.modules.operation.pojo.vo;


import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

@Data
public class EditSiteEmpAuthVo {

	@Schema(description = "对应user表记录id")
	@NotBlank(message = "必传项不能为空！")
	private String id;

	/**
	 * 覆盖省份,多个用逗号隔开
	 */
	@Schema(description = "覆盖省份,多个用逗号隔开")
	private String provinces;

	@Schema(description = "覆盖市，多个用逗号隔开")
	private String city;
	/**
	 * 覆盖区县，多个用逗号隔开
	 */
	@Schema(description = "覆盖区县，多个用逗号隔开")
	private String area;

}
