package org.springblade.modules.order.pojo.form;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class OperationOrderConditionForm{

	@Schema(description = "工单编号")
	private String orderNumber;

	@Schema(description = "电站编码")
	private String powerStationCode;

	@Schema(description = "服务商id")
	private String siteId;

	@Schema(description = "工程师id")
	private String empId;

	@Schema(description = "结算时间--开始")
	private String settleTimeSta;

	@Schema(description = "结算时间--结束")
	private String settleTimeEnd;


	private String provinces;

	private String city;

	private String area;

	private String entryIds;

	private String siteIds;

}
