package org.springblade.modules.order.pojo.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class OrderStaticVo {

	@JsonSerialize(using = ToStringSerializer.class)
	@Schema(description = "平台端--未处理数量")
	private Long notFinishCount;

	@JsonSerialize(using = ToStringSerializer.class)
	@Schema(description = "平台端--已处理数量")
	private Long finishCount;

	@JsonSerialize(using = ToStringSerializer.class)
	@Schema(description = "运营商端--未处理数量")
	private Long sitNotFinishCount;

	@JsonSerialize(using = ToStringSerializer.class)
	@Schema(description = "运营商端--已处理数量")
	private Long sitFinishCount;

}
