package org.springblade.modules.order.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data

public class OrderVo {
	@Schema(description =  "进件序号")
    private String partnersContractNumber;//

	@Schema(description =  "平台派工时间")
    private String dispatchTime;

	@Schema(description =  "工单编号")
    private String number;

	@Schema(description =  "工单来源类型：5监控")
    private String orderType;

	@Schema(description =  "工单类型:  安装/维修/咨询 ")
    private String serviceType;

	@Schema(description =  "工单平台操作状态：1.待派工 2.服务中 3.待回访 4.待结算 5.已完成 6.无效工单 7.取消工单，默认1")
    private String status;

	@Schema(description =  "备注(故障描述)")
    private String remarks;

	@Schema(description =  "服务商名称")
    private String siteName;
	@Schema(description =  "工程师姓名")
    private String employeName;
	@Schema(description =  "完工时间")
    private String endTime;



}
